> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Single Model

> This endpoint used to get the model by id in the Pawa AI Platform.



## OpenAPI

````yaml GET /models/{id}
openapi: 3.1.0
info:
  title: Pawa AI APIs
  description: >-
    API endpoints in Pawa Platform to perform CRUD operations on different
    features using Pawa AI, a digital assistant built for Africa for various
    tasks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pawa-ai.com/v1
    description: Production Server
security:
  - bearerAuth: []
paths:
  /models/{id}:
    get:
      tags:
        - Model
      summary: Get model by ID
      description: This endpoint used to get the model by id in the Pawa AI Platform.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Models fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelViewAPIResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                badRequest:
                  value:
                    success: false
                    message: Invalid input provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    success: false
                    message: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  value:
                    success: false
                    message: You do not have permission to access this resource
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  value:
                    success: false
                    message: Resource does not exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                tooManyRequests:
                  value:
                    success: false
                    message: Rate limit exceeded. Please try again later.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    success: false
                    message: Internal server error
components:
  schemas:
    ModelViewAPIResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Model fetched successfully
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelAPIData'
      required:
        - success
        - message
        - data
    ErrorResponse:
      required:
        - success
        - message
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
    ModelAPIData:
      type: object
      properties:
        id:
          type: number
          example: 0
        name:
          type: string
          example: pawa-v1-ember-20240924
        aliasName:
          type: string
          example: Pawa Ember
        description:
          type: string
          example: Funny & great for everyday tasks
        inputType:
          type: string
          example: text
        outputType:
          type: string
          example: text
        modelType:
          type: string
          example: chat
        version:
          type: string
          example: v1.0.0
        status:
          type: string
          example: ACTIVE
      required:
        - id
        - name
        - aliasName
        - description
        - inputType
        - outputType
        - modelType
        - version
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````